Skip to navigation

List endpoints

Use the returned id values as endpointIds when launching a pentest.

Requires the inventory:read API key scope.

Authentication

AuthorizationBearer

A workspace API key, sent as Authorization: Bearer.

OR
x-api-keystring

A workspace API key, sent as x-api-key.

Path parameters

appIdstringRequired
Application UUID.

Query parameters

typeenumOptional
limitintegerOptional1-200
Page size. Defaults to 100.
offsetintegerOptional0-9007199254740991
Results to skip.

Response

A page of the application’s endpoints.

endpointslist of objects
hasMoreboolean
limitinteger
offsetinteger

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error